<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * MySQL database connection.
 *
 * Modified for OSB, so that ORM can use enhanced SQL queries. This has been
 * achieved by simply removing the identifier backtick.
 *
 * @package    OSB/Modifications
 * @subpackage Database
 * @category   Drivers
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license
 */
class Database_MySQL extends Kohana_Database_MySQL {
	// MySQL uses a backtick for identifiers
	protected $_identifier = '';
}
?>
