<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports OSB listing products by category.
 *
 * @package    OSB
 * @subpackage Product
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Product_Category extends ORMOSB {
	protected $_table_name = 'product_cat';

	protected $_sorting = array(
		'name'=>'asc',
	);

	public function list_bylistgroup($cat) {
		$result = array();

		foreach ($this->where('list_group','=',$cat)->find_all() as $pco)
			$result[$pco->id] = $pco;

		return $result;
	}
}
?>
