<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports Product Plugins.
 *
 * @package    OSB
 * @subpackage Product/Plugin
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
abstract class Model_Product_Plugin extends ORMOSB {
	// Reset any sorting that may be defined in our parent
	protected $_sorting = array();

	/**
	 * The feature summary should be implemented in plugins.
	 * It is displayed on the product overview page, as a summary of the products features.
	 */
	abstract public function feature_summary();
}
?>
